----------------------------------------------
--		Serenity Now						--
--			By Shampow on US-Archimonde		--
----------------------------------------------

SN = LibStub("AceAddon-3.0"):NewAddon("SerenityNow", "AceEvent-3.0")
SN.LSM = LibStub("LibSharedMedia-3.0")

SN.timers = LibStub("LibFancyBar-1.0")

SN.curr = {}
SN.F = {} 	-- Frames
SN.V = {} -- Variables

	
function SN:OnEnable()
	
	SN:GetPowerColor()
	currentpower = UnitPower("player")
	maxpower = UnitPowerMax("player")
	SN:RegisterEvent("UNIT_DISPLAYPOWER", "UpdatePowerType")
	
end


function SN:OnInitialize()

	if count == 1 then return end

	SN:SetupVars()

	--Check to see if ElvUI is loaded so we can make the bars purty
	if (IsAddOnLoaded("ElvUI")) then
		local E, L, V, P, G, _ = unpack(ElvUI)
	end

	--Timer Groups
	SN:Debuffs()
	SN:CoolDowns()
		
	-- setup the power bar
	SN:SetupPower()
	
   count = 1
end

function SN:CheckGlyphs(cooldown)
	checkglyphs = false
	for i = 1, NUM_GLYPH_SLOTS do
		local enabled, glyphType, glyphTooltipIndex, glyphSpellID, icon = GetGlyphSocketInfo(i);
		if ( enabled ) then
			if cooldown['glyphid'] == glyphSpellID then
				checkglyphs = true
			end
		end
	end
	return checkglyphs
end